import { EventEmitter, OnInit } from '@angular/core';
import { DataGridColumnModel } from '../../models/data-grid-column.model';
import * as i0 from "@angular/core";
export declare class ColumnFilterComponent implements OnInit {
    onChange: EventEmitter<DataGridColumnModel>;
    data: Array<any>;
    column: DataGridColumnModel;
    filterPlaceholder: string;
    emptyResultsMessage?: string;
    search: string;
    options: Array<any>;
    filteredOptions: Array<any>;
    constructor();
    ngOnInit(): void;
    onSearch(): void;
    onClickOutside(): void;
    select(item: any): void;
    removeSimpleFilter(): void;
    private initializeOptions;
    private renderPropertyValue;
    private clearFilters;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnFilterComponent, "ui-column-filter", never, { "data": "data"; "column": "column"; "filterPlaceholder": "filterPlaceholder"; "emptyResultsMessage": "emptyResultsMessage"; }, { "onChange": "onChange"; }, never, never, false, never>;
}
